<template>
    <div class="community-post style-two row">
        <div class="post-content col-md-9">
            <div class="entry-content">
                <h3 class="post-title">
                    <a :href="document.url">
                        {{ document.title }}
                    </a>
                </h3>
                <ul class="meta">
                    <li class="category" :style="{ backgroundColor: document.category.color }">{{ document.category.name }}</li>
                </ul>
                <ul class="meta">
                    <li><span :class="['flag', document.language.abbreviation]"></span> {{ document.language.name }}</li>
                    <li><i class="icon_calendar"></i>{{ $t("labels.updated") }} {{ document.created_at | formatDate }}</li>
                </ul>
            </div>
        </div>
        <div class="post-meta-wrapper col-md-3 text-sm-left-custom">
            <ul class="post-meta-info">
                <li class="circle-gray"><a :href="document.view_url"><i class="far fa-eye"></i></a></li>
                <li class="circle-gray"><a :href="document.download_url"><i class="fas fa-cloud-download-alt"></i></a></li>
            </ul>
        </div>
    </div>
</template>
<script type="module">
export default{
	name: 'DocumentItem',
	props: ['document'],
	components: {

	},
	data() {
		return {
			
		};
	},
	mounted() {
		
	},
	methods: {
		
	},
	computed: {
		//datos computados
	},
	watch: {
		//observación de eventos
	}
};
</script>
